
-- ----------------------------
-- Table structure for SYS_ROLE_MODULE
-- ----------------------------
CREATE TABLE "SYS_ROLE_MODULE" (
  "SYS_ROLE_MODULE_ID" NUMBER(38) NOT NULL ,
  "ROLE_ID" NUMBER(38) NOT NULL ,
  "MODULE_CODE" VARCHAR2(100) NOT NULL ,
  "SEQUENCE" NUMBER(38) ,
  "ENABLED_FLAG" VARCHAR2(1) DEFAULT 'Y' ,
  "OBJECT_VERSION_NUMBER" NUMBER(38) DEFAULT 1 ,
  "REQUEST_ID" NUMBER(38) DEFAULT -1 ,
  "PROGRAM_ID" NUMBER(38) DEFAULT -1 ,
  "CREATED_BY" NUMBER(38) DEFAULT -1 ,
  "CREATION_DATE" TIMESTAMP(6) DEFAULT CURRENT_TIMESTAMP ,
  "LAST_UPDATED_BY" NUMBER(38) DEFAULT -1 ,
  "LAST_UPDATE_DATE" TIMESTAMP(6) DEFAULT CURRENT_TIMESTAMP ,
  "LAST_UPDATE_LOGIN" NUMBER(38) DEFAULT -1 
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "SYS_ROLE_MODULE"."SYS_ROLE_MODULE_ID" IS '角色ID';
COMMENT ON COLUMN "SYS_ROLE_MODULE"."ROLE_ID" IS '角色ID';
COMMENT ON COLUMN "SYS_ROLE_MODULE"."MODULE_CODE" IS '模块代码';
COMMENT ON COLUMN "SYS_ROLE_MODULE"."SEQUENCE" IS '显示顺序';
COMMENT ON COLUMN "SYS_ROLE_MODULE"."ENABLED_FLAG" IS '启用标志';
COMMENT ON TABLE "SYS_ROLE_MODULE" IS '角色模块分配表';

-- ----------------------------
-- Primary Key structure for table SYS_ROLE_MODULE
-- ----------------------------
ALTER TABLE "SYS_ROLE_MODULE" ADD CONSTRAINT "SYS_C00143823" PRIMARY KEY ("SYS_ROLE_MODULE_ID");

-- ----------------------------
-- Uniques structure for table SYS_ROLE_MODULE
-- ----------------------------
ALTER TABLE "SYS_ROLE_MODULE" ADD CONSTRAINT "SYS_C00143824" UNIQUE ("ROLE_ID", "MODULE_CODE") NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

